package com.proximiant.html5_ref_app;

import org.acra.ACRA;
import org.acra.annotation.ReportsCrashes;
import org.acra.sender.HttpSender.Method;
import org.acra.sender.HttpSender.Type;

import proximiant.sdk.api.GcmBroadcastReceiver;
import proximiant.sdk.api.GcmIntentService;


@ReportsCrashes(
		formKey = "", // This is required for backward compatibility but not used
		httpMethod = Method.PUT,
		reportType = Type.JSON,
		formUri = "http://ops.proximiant.com:5984/acra-android/_design/acra-storage/_update/report",
		formUriBasicAuthLogin = "r",
		formUriBasicAuthPassword = "r"
		)
public class MyApp extends android.app.Application{
	public static class MyGcmService extends GcmIntentService {}

	public static class MyGcmReceiver extends GcmBroadcastReceiver {
		public MyGcmReceiver() {
			myServiceClassName = MyGcmService.class.getName();
		}

	}

	@Override
	public void onCreate() {
		super.onCreate();

		// The following line triggers the initialization of ACRA
		ACRA.init(this);
	}

}
