//
//  qrcode.h
//  qrcode
//
//  Created by rui yang on 9/20/13.
//  Copyright (c) 2013 rui yang. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>


typedef enum {
  SCAN, TAKE, DONETAKE
} CAMERA_TYPE;

typedef void (^PROXCALLBACK)(UIImage*, CAMERA_TYPE, NSString*);

@interface QrCode : NSObject

- (void) setup:(UIView*)previewContainer done:(PROXCALLBACK)block;

- (void) undoLastPicture;

- (void) scan;

- (void) stopScan;

- (void) take;

- (void) donePhoto;

- (void) reset;

- (void) scanAnyCode:(BOOL) value;


@end
